View Issue Details

IDProjectCategoryView StatusLast Update
0006487GNUnetGNSpublic2020-11-14 09:57
Reporterschanzen Assigned Toschanzen  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product VersionGit master 
Target Version0.14.0Fixed in Version0.14.0 
Summary0006487: GNS encryption ciphertext IND
DescriptionWe should used AES GCM or CTR using record expiration times for IND-CCA.
For absolute expiration records it must be ensured that changes in record values must also result in changed expiration times.
Tagslsd0001

Activities

schanzen

2020-10-28 13:09

manager   ~0017045

Implemented and documented as part of LSD0001

schanzen

2020-11-14 09:57

manager   ~0017138

0.14.0 released

Issue History

Date Modified Username Field Change
2020-08-15 11:06 schanzen New Issue
2020-08-15 11:06 schanzen Status new => assigned
2020-08-15 11:06 schanzen Assigned To => schanzen
2020-08-15 11:06 schanzen Tag Attached: lsd0001
2020-10-28 13:09 schanzen Status assigned => resolved
2020-10-28 13:09 schanzen Resolution open => fixed
2020-10-28 13:09 schanzen Fixed in Version => 0.14.0
2020-10-28 13:09 schanzen Note Added: 0017045
2020-11-14 09:57 schanzen Note Added: 0017138
2020-11-14 09:57 schanzen Status resolved => closed